package com.jeeplus.psimanage.foodPurchase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.psimanage.foodPurchase.domain.PsiFoodPurchaseDetail;
import com.jeeplus.psimanage.oss.service.dto.WorkAttachmentDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PsiFoodPurchaseDetailMapper extends BaseMapper<PsiFoodPurchaseDetail> {

    List<PsiFoodPurchaseDetail> getByBasicId(String basicId);

    List<String> getIdByBasicId(String basicId);

    List<WorkAttachmentDto> getByAttachmentId(String id);

    void deleteByBasicId(@Param("basicId") String basicId);
}
